View Issue Details

IDProjectCategoryView StatusLast Update
0010394LazarusIDEpublic2013-09-03 12:08
Reporteracakadut Assigned ToMattias Gaertner  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24 
Summary0010394: visual inheritance form, ancestor class not found
Descriptionwhile opening descendant form error message "ancestor class not found", even before opening descendant form we opening first the ancestor form.




TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

2007-12-10 15:53

 

lasttest.zip (4,855 bytes)

Mattias Gaertner

2008-01-03 01:46

manager   ~0017046

The error message was a bit misleading.
The real error was that TCustomNotebook was not ready to be used with inherited/overidden streams and deleted the TabSheet1.
I fixed that.

Issue History

Date Modified Username Field Change
2007-12-10 15:53 acakadut New Issue
2007-12-10 15:53 acakadut File Added: lasttest.zip
2007-12-10 15:53 acakadut Widgetset => Win32
2007-12-10 15:58 Vincent Snijders LazTarget => post 1.2
2007-12-10 15:58 Vincent Snijders Assigned To => Mattias Gaertner
2007-12-10 15:58 Vincent Snijders Status new => assigned
2008-01-03 01:46 Mattias Gaertner Note Added: 0017046
2008-01-03 01:46 Mattias Gaertner Status assigned => resolved
2008-01-03 01:46 Mattias Gaertner Resolution open => fixed
2008-04-24 00:05 Marc Weustink Status resolved => closed
2013-09-03 12:08 Martin Friebe LazTarget post 1.2 => 1.4